package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.WorkCenterShiftPO;
import mhp.oee.po.gen.WorkCenterShiftPOExample;

public interface WorkCenterShiftPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_shift
     *
     * @mbggenerated
     */
    int countByExample(WorkCenterShiftPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_shift
     *
     * @mbggenerated
     */
    int deleteByExample(WorkCenterShiftPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_shift
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_shift
     *
     * @mbggenerated
     */
    int insert(WorkCenterShiftPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_shift
     *
     * @mbggenerated
     */
    int insertSelective(WorkCenterShiftPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_shift
     *
     * @mbggenerated
     */
    List<WorkCenterShiftPO> selectByExample(WorkCenterShiftPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_shift
     *
     * @mbggenerated
     */
    WorkCenterShiftPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_shift
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") WorkCenterShiftPO record, @Param("example") WorkCenterShiftPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_shift
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") WorkCenterShiftPO record, @Param("example") WorkCenterShiftPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_shift
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(WorkCenterShiftPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_shift
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(WorkCenterShiftPO record);
}